=== debian/changelog ===
nodogsplash (3.3.2-1) stable; urgency=medium

  * Fix Issue introduced in v3.3.0 with the addition of Improvements towards usable IPv6 support, that caused CPD on client devices to fail with "Too Many Redirects" error. NDS now terminates gracefully with a console error if fasremoteip is set AND fasport=80  [bluewavenet]
  * Validate fasremoteip to ensure that if it is set, then it is a valid dotted format IPv4 address  [bluewavenet]
  * Numerous Documentation updates  [bluewavenet]

 -- Rob White <dot@blue-wave.net>  Tue, 23 Apr 2019 11:49:00 +0000

nodogsplash (3.3.1-1) stable; urgency=medium

  * Include preinstalled PreAuth Login script in package [bluewavenet]
  * Documentation updates PreAuth [bluewavenet]
  * Generate Error 403 Forbidden, if Gateway Port is accessed directly when FAS is enabled and client is not authenticated [bluewavenet]
  * Improve splash.css, tidy up splash/status.html, tidy up Preauth demo script [bluewavenet]
  * Remove some redundant code [mwarning]
  * ndsctl_thread - ignore interupts when returning from epoll [lynxis]
  * auth.c - use correct types to prevent cast and comparement of uint and int [lynxis]
  * openwrt/init.d - prevent start of the daemon if configuration generation fails [lynxis]

 -- Rob White <dot@blue-wave.net>  Fri, 7 Apr 2019 19:43:00 +0000

nodogsplash (3.3.0-1) stable; urgency=medium

  * Add PreAuth functionality - support for Dynamic Splash Pages, served by NDS directly [bluewavenet]
  * Documentation updates including new sections for Splash Page and PreAuth [bluewavenet]
  * Fix memory handling bug, issue #341 [mwarning] [stevo01]
  * Improvements towards usable IPv6 support [wanxewoj] [mwarning]

 -- Rob White <dot@blue-wave.net>  Fri, 15 Mar 2019 15:48:00 +0000

nodogsplash (3.2.1-1) stable; urgency=medium

  * reset upload/download counter when a client has been authenticated a second time [mwarning]
  * print sesssion duration as 0 in "ndsctl json" and "ndsctl clients" output when a session has not been started [mwarning]
  * rework html templater to speed up splash page generation [mwarning]
  * FAS documentation updates [bluewavenet]
  * Add CSS file and update splash and status html [bluewavenet]

 -- Moritz Warning <moritzwarning@web.de>  Wed, 26 Sep 2018 15:04:05 +0000

nodogsplash (3.2.0-1) stable; urgency=medium

  * Add Redirect to Status page support for FAS [bluewavenet]
  * Add iptables version check [mwarning]
  * Add ndsctl status output for FAS and Binauth status. [bluewavenet]
  * Initialize fas_remoteip with gw_address and simplify code [mwarning]
  * Fix Readthedocs updates and update Docs URL [bluewavenet]
  * Update documentation and Debian man page [bluewavenet]

 -- Rob White <dot@blue-wave.net>  Sun, 2 Sep 2018 16:09:00 +0000

nodogsplash (3.1.0-1) stable; urgency=medium

  * Integrated support for separate Forward Authentication Service (FAS), adding the following configuration options:
      fasport, faspath, fasremoteip, fas_secure_enabled
  * Modify binauth feature internally for compatibility with FAS, allowing Binauth to be used for post FAS processing
  * Implement ndsctl json filtering to return client information from IP, MAC or Token.
  * Various minor code fixes and improvements

 -- Rob White <dot@blue-wave.net>  Sun, 26 Aug 2018 10:05:00 +0000

nodogsplash (3.0.0-1) stable; urgency=medium

  * Removed settings without implementation due to the change of the http library:
      DecongestHttpdThreads, HttpdThreadthreshold, HttpdThreaddelayms
      AuthenticateImmediately, RemoteAuthenticatorAction, EnablePreAuth,
      BinVoucher, ForceVoucher, PasswordAuthentication, UsernameAuthentication,
      PasswordAttempts, Username, Password
  * Add binauth feature as a replacement for the old binvoucher feature
    * call a script with username/password to decide the authentication
  * Replace ClientForceTimeout setting with SessionTimeout
  * Replace ClientTimeout settings with PreauthIdleTimeout and AuthIdleTimeout
  * Replace infoskel.html with a templated StatusPage (default is status.html)

 -- Moritz Warning <moritzwarning@web.de>  Thu, 09 Aug 2018 12:56:21 -0400

nodogsplash (2.1.1-1) stable; urgency=medium

  * Update nodogsplash.conf for non-OpenWrt builds [bluewavenet]
  * Minor cosmetic changes
  
 -- Rob White <dot@blue-wave.net>  Sat, 12 May 2018 10:03:00 +0000

nodogsplash (2.1.0-1) UNRELEASED; urgency=medium

  * Allow firewall rule chaining, PR #231 [bluewavenet]
  * Update documentation [bluewavenet]
  * Enable TCP Fast Open, PR #237 [blogcin]
  * Avoid continuous thread creation for control interface, PR #238 [blogcin]
  * Fix possible memory corruption for long config file path, PR #240 [blogcin]

 -- Moritz Warning <moritzwarning@web.de>  Tue, 08 May 2018 19:19:00 +0000

nodogsplash (2.0.1-1) stable; urgency=medium

  * Added Forwarding Authentication Service (FAS). [bluewavenet]
  * Support for external (to NDS) authentication without using Binvoucher. [bluewavenet]
  * Fix crash when mimetype is not found. [azsde]

 -- Moritz Warning <moritzwarning@web.de>  Tue, 02 Jan 2018 08:31:52 -0500

nodogsplash (2.0.0-1) stable; urgency=low

  * replace libhttp by libmicrohttpd [lynxis]
  * implement string replace based template engine [lynxis]
  * correct gatewaymac format to (00:11:22:33:44:ab) [lynxis]
  * Allow an authenticated user to access the splashpage again. [lynxis]
  * Allow an authenticated user to deauth themself using the denydir [lynxis]
  * redirect wrong token auths to the splashpage [lynxis]
  * support config redirectURL [lynxis]
  * microhttpd: add content-type header to error messages [lynxis]
  * prevent possible divison by zero and negative durations [mwarning]
  * add debian support including systemd [efernandesng]
  * fix file descriptor leak [sfstudio]
  * update splash.html (#152) [bluewavenet]
  * fw_iptables: fix iptables syntax for 1.6.1 [mwarning]
  * fix CheckInterval option (#168) [zaolin]


